/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of Auth-Server-Helper which is released under MIT.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, August 2022
 */

import build_debug from 'debug';

function debug (scope: string): build_debug.Debugger {
  const namespace = `sapphirecode:auth-server-helper:${scope}`;
  return build_debug (namespace);
}

export { debug };
